DECLARE
  l_test_load BOOLEAN := upper('&&1') = 'TEST';
  l_fat_load  BOOLEAN := upper('&&1') = 'FAT';
  l_dev_load  BOOLEAN := upper(nvl('&&1','DEV')) = 'DEV';

BEGIN

  IF l_test_load THEN
    mip_bulk_load.g_flow_id := 102;
  ELSIF l_fat_load THEN
    mip_bulk_load.g_flow_id := 200;
  ELSIF l_dev_load THEN
    mip_bulk_load.g_flow_id := 200;
  END IF;

  IF mip_bulk_load.g_flow_id IS NOT NULL THEN
    mip_bulk_load.load_all;
    mip_bulk_load.report_err;
  ELSE
    dbms_output.put_line('Run bulk_load: Unexpected parameter value of &&1 received');
  END IF;

END;
/
exit
/
